## zotero-standalone-build 4.0.22

=== debian/changelog ===
zotero-standalone-build (4.0.22-1) unstable; urgency=medium

  * New upstream release.
  * Drop 06_max_version patch.
  * Release to unstable.

 -- Michele Cane <michele.cane@gmail.com>  Thu, 18 Sep 2014 21:20:18 +0200

zotero-standalone-build (4.0.21.5-1) unstable; urgency=medium

  * New upstream release.
  * patches/06_geko_version deleted.
  * Refresh patches.
  * Create max version patch.
  * Release to unstable.

 -- Michele Cane <michele.cane@gmail.com>  Mon, 28 Jul 2014 20:52:51 +0200

zotero-standalone-build (4.0.20-2) unstable; urgency=medium

  * Checkk for iceweasel at startup.
  * Add iceweasel dependency (Closes: #751564).
  * Add geko version patch.
  * Release to unstable.

 -- Michele Cane <michele.cane@gmail.com>  Sun, 15 Jun 2014 19:59:41 +0200

zotero-standalone-build (4.0.20-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update xulrunner dependencies (Closes: #749694).
  * Release to unstable.

 -- Michele Cane <michele.cane@gmail.com>  Tue, 03 Jun 2014 21:11:01 +0200

zotero-standalone-build (4.0.17-2) unstable; urgency=medium

  * debian/rules: build xul-ext-zotero.
  * debian/control: add xul-ext-zotero package and mozilla-devscitps build-dep.
  * remove ../xul-ext/zotero-standalone/COPYING
  * remove ../xul-ext/zotero-standalone/resource/tinymce/license.txt 
  * debian/xul-ext-zotero.lintian-override: new file.
  * Release to unstable.

 -- Michele Cane <michele.cane@gmail.com>  Sun, 19 Jan 2014 22:18:59 +0100

zotero-standalone-build (4.0.17-1) unstable; urgency=low

  * New upstream release. 
  * Refresh patches.
  * Release to unstable.

 -- Michele Cane <michele.cane@gmail.com>  Mon, 13 Jan 2014 21:21:53 +0100

zotero-standalone-build (4.0.14-1) unstable; urgency=low

  * New upstream release. 
  * Refresh patches.
  * Drop 06_xulrunner_version.diff.

 -- Michele Cane <michele.cane@gmail.com>  Thu, 21 Nov 2013 09:34:06 +0100

zotero-standalone-build (4.0.11-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Add xulrunner-24.0 as alternative dependency.
  * Remove zotero-libreoffice-integration dummy package.
  * Increase xulrunner maximum version to 25.0 in launcher.
  * debian/patches/06_xulrunner_version.diff.

 -- Michele Cane <michele.cane@gmail.com>  Sun, 13 Oct 2013 16:02:52 +0200

zotero-standalone-build (4.0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.

 -- Michele Cane <michele.cane@gmail.com>  Sat, 27 Jul 2013 12:58:36 +0200

zotero-standalone-build (4.0.8-1) unstable; urgency=low

  * New upstream release

 -- Michele Cane <michele.cane@gmail.com>  Wed, 19 Jun 2013 09:28:39 +0200

zotero-standalone-build (4.0.6-6) unstable; urgency=low

  * debian/control: add zotero-libreoffice-integration dummy

 -- Michele Cane <michele.cane@gmail.com>  Tue, 21 May 2013 10:18:18 +0200

zotero-standalone-build (4.0.6-5) unstable; urgency=low

  * Upload to unstable.
  * debian/control: fix description (Closes: #708507).
  * Disable install button for custom pdftotext and pdfinfo.
  * debian/control: replaces zotero-libreoffice-integration.

 -- Michele Cane <michele.cane@gmail.com>  Mon, 20 May 2013 21:20:53 +0200

zotero-standalone-build (4.0.6-4) unstable; urgency=low

  * add xulrunner-17.0 dependency

 -- Michele Cane <michele.cane@gmail.com>  Wed, 15 May 2013 23:04:40 +0200

zotero-standalone-build (4.0.6-3) experimental; urgency=low

  * unzip extension with override_dh_auto_install and drop prerm and postint
  * debian/changelog: fix formatting

 -- Michele Cane <michele.cane@gmail.com>  Thu, 09 May 2013 23:12:08 +0200

zotero-standalone-build (4.0.6-2) experimental; urgency=low

  * debian/control: change Architecture to all.
  * debian/gbp.conf: pristine-tar=false.

 -- Michele Cane <michele.cane@gmail.com>  Mon, 29 Apr 2013 10:38:40 +0200

zotero-standalone-build (4.0.6-1) experimental; urgency=low

  * New Upstream release
  * debian/control: rename zotero-libreoffice-integration
    to libreoffice-zotero-integration (Closes: #706006).
  * debian/zotero-standalone.postinst and debian/zotero-standalone.postinst:
    drop unopkg and use unzip (Closes: #706007).

 -- Michele Cane <michele.cane@gmail.com>  Tue, 23 Apr 2013 12:22:14 +0200

zotero-standalone-build (3.0.11.1-26-g08fb709-1) unstable; urgency=low

  * Initial release (Closes: #504058).

 -- Michele Cane <michele.cane@gmail.com>  Thu, 14 Mar 2013 12:05:11 +0100
