=== debian/control ===
Source: zotero-standalone-build
Section: text
Priority: optional
Maintainer: Michele Cane <michele.cane@gmail.com>
Build-Depends: debhelper (>= 9.0.0), zip, unzip, mozilla-devscripts (>= 0.22)
Standards-Version: 3.9.5
Homepage: http://www.zotero.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zotero-standalone.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/zotero-standalone.git

Package: zotero-standalone
Architecture: all
Depends: xulrunner-17.0 | xulrunner-20.0 | xulrunner-24.0 | xulrunner-29 | iceweasel (>= 30), ${misc:Depends}
Enhances: libreoffice-libreoffice-integration
Description: organize and share your research sources
 Zotero helps you collect, manage, and cite your research sources.
 .
 Zotero allows you to store your libraries online, so that they can be
 accessed from any computer. Your online collections can also be shared with
 other Zotero users, letting you collaboratively create bibliographies and
 research notes. It can automatically gather bibliographic information about
 resources available in hundreds of databases, library catalogs and the web.
 .
 This package contains the standalone version of Zotero which does not
 require any Iceweasel/Firefox browser.

Package: xul-ext-zotero
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: Iceweasel extension to organize and share your research sources
 Zotero helps you collect, manage, and cite your research sources.
 .
 Zotero allows you to store your libraries online, so that they can be
 accessed from any computer. Your online collections can also be shared with
 other Zotero users, letting you collaboratively create bibliographies and
 research notes. It can automatically gather bibliographic information about
 resources available in hundreds of databases, library catalogs and the web.

Package: libreoffice-zotero-integration
Architecture: all
Depends: zotero-standalone | xul-ext-zotero, libreoffice-java-common, ${misc:Depends}
Recommends: libreoffice-writer
Replaces: zotero-libreoffice-integration (<< 4.0.6-1)
Breaks: zotero-libreoffice-integration (<< 4.0.6-1)
Description: LibreOffice plugin to organize and share your research sources
 Zotero is helps you collect, manage,  and cite your research sources.
 It can automatically gather bibliographic information about resources
 available in hundreds of databases, library catalogs and the web.
 .
 Zotero also allows you to store your libraries online, so that they can be
 accessed from any computer. Your online collections can also be shared with
 other Zotero users, letting you collaboratively create bibliographies and
 research notes.
 .
 This package contains the plugin to integrate Zotero in LibreOffice Writer.
