## zotero-standalone-build 4.0.29.16+dfsg

=== debian/changelog ===
zotero-standalone-build (4.0.29.16+dfsg-1) unstable; urgency=medium

  * New upstream version 4.0.29.16.
    + Upstream has ceased to use a separate version numbering for
      zotero-standalone-build. Therefore we now follow the version number of
      the zotero extension itself, and pin down specific git commits for the
      separate zotero-build and zotero-standalone-build repositories.
    + Compatible with Firefox 50. (Closes: #845943)
  * d/copyright: reflect upstream changes.
  * d/rules: new get-orig-source, for new source package layout.
  * d/control: add rsync in build dependencies.
  * d/control: bump minimal required Firefox version to 45.
  * d/p/firefox-48.patch: drop patch, no longer needed.
  * Bump to debhelper compat level 10.
  * d/watch: update to format v4; point directly to zotero github.
  * Add keywords to zotero.desktop.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 17 Jan 2017 19:04:05 +0100

zotero-standalone-build (4.0.29.5+dfsg-2) unstable; urgency=medium

  * d/p/firefox-48.patch: new patch, fixes startup issue with Firefox 48.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * d/control: clarify the relation of zotero-standalone with firefox.
    (Closes: #825104)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 18 Aug 2016 23:14:14 +0200

zotero-standalone-build (4.0.29.5+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.0.29.5+dfsg
  * d/copyright: reflect upstream changes.
  * 06_Max_Version.diff: no more maximum Firefox version for standalone zotero.
  * d/s/lintian-overrides: update list of false positive for minified JS.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 27 Mar 2016 21:03:20 +0200

zotero-standalone-build (4.0.29.2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.0.29.2+dfsg. (Closes: #817911)
  * d/copyright: reflect upstream changes.
  * d/source/lintian-overrides: update for minified javascript.
  * d/p/06_Max_Version.diff: update for Firefox 45.
  * d/control:
    + replace iceweasel dependency by firefox-esr | firefox.
    + update Vcs-Browser to be the same as Vcs-Git.
    + bump Standards-Version to 3.9.7, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 13 Mar 2016 17:29:05 +0100

zotero-standalone-build (4.0.28.8+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #795343, #805545)
    Repacked to remove various non-DFSG-free stuff, including stuff under win/.
  * Add missing source files for minified javascript code under
    debian/missing-sources/. (Closes: #788277)
    The file debian/source/lintian-overrides gives more details about the
    status of the various files (and overrides some false positives).
    Note that in the future it would be better to package csl-validator.js
    separately.
  * d/copyright: major overhaul.
  * Adopt package, and add Benda Xu to Uploaders. (Closes: #800155)
  * d/p/06_Max_Version.diff: update patch for iceweasel 44.
  * For the libreoffice extension: do not use the prepackaged OXT, and build JAR
    using javahelper.
    + d/p/messagebox.patch: new patch.
    + build-depend on ure, libjna-java, libjackson2-*-java.
    + use jh_build for building the JAR.
    + include special RegistrationHandler.classes file in JAR.
    + d/libreoffice-zotero-integration.manifest: add RegistrationClassName
      special field in manifest.
  * d/rules:
    + drop useless calls to debhelper with -a.
    + filter out the new test/ subdir in xpi archive.
    + simplify detection of Debian version using pkg-info.mk.
    + add a get-orig-source rule that creates the DFSG-free tarball.
  * d/control:
    + Bump iceweasel dependency for zotero-standalone.
    + Bump Standards-Version to 3.9.6, no changes needed.
    + Add missing xpi:Breaks for xul-ext-zotero.
    + Update Vcs-* fields. The git repository has been renamed to be identical
      to the name of the source package.
  * d/watch: update for +dfsg suffix mangling.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Jan 2016 23:16:06 +0100

zotero-standalone-build (4.0.26.2-1) unstable; urgency=medium

  * New upstream release (Closes: #757610).
  * Patches refreshed.
  * Increase Geko Max Version to 40 (06_Max_Version.diff) (Closes: #785793).

 -- Michele Cane <michele.cane@gmail.com>  Mon, 25 May 2015 16:37:34 +0200
