=== debian/control ===
--- 
+++ 
@@ -1,16 +1,21 @@
 Source: zotero-standalone-build
 Section: text
 Priority: optional
-Maintainer: Michele Cane <michele.cane@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), zip, unzip, mozilla-devscripts (>= 0.22)
-Standards-Version: 3.9.5
+Maintainer: Sébastien Villemot <sebastien@debian.org>
+Uploaders: Benda Xu <heroxbd@gentoo.org>
+Build-Depends: debhelper (>= 10), zip, unzip, mozilla-devscripts (>= 0.22),
+               javahelper, default-jdk, rsync,
+               ure, libreoffice-java-common, libjna-java,
+               libjackson2-core-java, libjackson2-annotations-java,
+               libjackson2-databind-java
+Standards-Version: 3.9.8
 Homepage: http://www.zotero.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zotero-standalone.git;a=summary
-Vcs-Git: git://anonscm.debian.org/collab-maint/zotero-standalone.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/zotero-standalone-build.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/zotero-standalone-build.git
 
 Package: zotero-standalone
 Architecture: all
-Depends: xulrunner-17.0 | xulrunner-20.0 | xulrunner-24.0 | xulrunner-29 | iceweasel (>= 30), ${misc:Depends}
+Depends: firefox-esr (>= 45) | firefox (>= 45), ${misc:Depends}
 Enhances: libreoffice-libreoffice-integration
 Description: organize and share your research sources
  Zotero helps you collect, manage, and cite your research sources.
@@ -22,7 +27,7 @@
  resources available in hundreds of databases, library catalogs and the web.
  .
  This package contains the standalone version of Zotero which does not
- require any Iceweasel/Firefox browser.
+ run within the Firefox browser (though it still uses its engine).
 
 Package: xul-ext-zotero
 Architecture: all
@@ -30,7 +35,8 @@
 Recommends: ${xpi:Recommends}
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}
-Description: Iceweasel extension to organize and share your research sources
+Breaks: ${xpi:Breaks}
+Description: Firefox extension to organize and share your research sources
  Zotero helps you collect, manage, and cite your research sources.
  .
  Zotero allows you to store your libraries online, so that they can be
@@ -41,7 +47,7 @@
 
 Package: libreoffice-zotero-integration
 Architecture: all
-Depends: zotero-standalone | xul-ext-zotero, libreoffice-java-common, ${misc:Depends}
+Depends: zotero-standalone | xul-ext-zotero, ${misc:Depends}, ${java:Depends}
 Recommends: libreoffice-writer
 Replaces: zotero-libreoffice-integration (<< 4.0.6-1)
 Breaks: zotero-libreoffice-integration (<< 4.0.6-1)
