=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/<project>-$1.tar.gz/,dversionmangle=s/\+dfsg\d*$// \
  https://github.com/zotero/zotero/tags .*/v?(\d[\d\.]+)\.tar\.gz
